import BrowserSession from './BrowserSession';
import { SubscribeParams, BroadcastParams, IVertoOptions } from './util/interfaces';
import { IVertoCallOptions } from './webrtc/interfaces';
import Call from './webrtc/Call';
export declare const VERTO_PROTOCOL = "verto-protocol";
export default class Verto extends BrowserSession {
    relayProtocol: string;
    timeoutErrorCode: number;
    constructor(options: IVertoOptions);
    validateOptions(): boolean;
    newCall(options: IVertoCallOptions): Call;
    broadcast(params: BroadcastParams): void;
    subscribe(params: SubscribeParams): Promise<any>;
    unsubscribe(params: SubscribeParams): Promise<any>;
    private handleLoginOnSocketOpen;
    private handleAnonymousLoginOnSocketOpen;
    private validateCallOptions;
    protected _onSocketOpen(): Promise<void>;
    protected _onSocketMessage(msg: any): void;
}
