import { IVertoCallOptions } from './interfaces';
export declare enum PeerType {
    Offer = "offer",
    Answer = "answer"
}
export declare enum Direction {
    Inbound = "inbound",
    Outbound = "outbound"
}
export declare enum VertoMethod {
    Invite = "telnyx_rtc.invite",
    Attach = "telnyx_rtc.attach",
    Answer = "telnyx_rtc.answer",
    Info = "telnyx_rtc.info",
    Display = "telnyx_rtc.display",
    Media = "telnyx_rtc.media",
    Event = "telnyx_rtc.event",
    Bye = "telnyx_rtc.bye",
    Punt = "telnyx_rtc.punt",
    Broadcast = "telnyx_rtc.broadcast",
    Subscribe = "telnyx_rtc.subscribe",
    Unsubscribe = "telnyx_rtc.unsubscribe",
    ClientReady = "telnyx_rtc.clientReady",
    Modify = "telnyx_rtc.modify",
    Ringing = "telnyx_rtc.ringing",
    GatewayState = "telnyx_rtc.gatewayState",
    Ping = "telnyx_rtc.ping",
    Pong = "telnyx_rtc.pong"
}
export declare const NOTIFICATION_TYPE: {
    generic: string;
    "telnyx_rtc.display": string;
    "telnyx_rtc.attach": string;
    conferenceUpdate: string;
    callUpdate: string;
    vertoClientReady: string;
    userMediaError: string;
};
export declare const DEFAULT_CALL_OPTIONS: IVertoCallOptions;
export declare enum State {
    New = 0,
    Requesting = 1,
    Trying = 2,
    Recovering = 3,
    Ringing = 4,
    Answering = 5,
    Early = 6,
    Active = 7,
    Held = 8,
    Hangup = 9,
    Destroy = 10,
    Purge = 11
}
export declare enum Role {
    Participant = "participant",
    Moderator = "moderator"
}
export declare enum ConferenceAction {
    Join = "join",
    Leave = "leave",
    Bootstrap = "bootstrap",
    Add = "add",
    Modify = "modify",
    Delete = "delete",
    Clear = "clear",
    ChatMessage = "chatMessage",
    LayerInfo = "layerInfo",
    LogoInfo = "logoInfo",
    LayoutInfo = "layoutInfo",
    LayoutList = "layoutList",
    ModCmdResponse = "modCommandResponse"
}
export declare enum DeviceType {
    Video = "videoinput",
    AudioIn = "audioinput",
    AudioOut = "audiooutput"
}
export declare enum GatewayStateType {
    REGED = "REGED",
    UNREGED = "UNREGED",
    NOREG = "NOREG",
    FAILED = "FAILED",
    FAIL_WAIT = "FAIL_WAIT",
    REGISTER = "REGISTER",
    TRYING = "TRYING",
    EXPIRED = "EXPIRED",
    UNREGISTER = "UNREGISTER"
}
